OpenVDB 13.0.0

Loading...
Searching...
No Matches
NodeManagerData Struct Reference

`#include <nanovdb/NodeManager.h>`

Inheritance diagram for NodeManagerData:

## Public Member Functions
__hostdev__ | NodeManagerData (void *grid)

## Public Attributes
union { |
int64_t mPadding |
uint8_t mLinear |
}; |
void * | mGrid
union { |
int64_t * mPtr [3] |
int64_t mOff [3] |
}; |

## Constructor & Destructor Documentation

## ◆ NodeManagerData()

__hostdev__ NodeManagerData | ( | void * | grid | ) |
| inline

## Member Data Documentation

## ◆ [union]

union { ... }

## ◆ [union]

union { ... }

## ◆ mGrid

void* mGrid

## ◆ mLinear

uint8_t mLinear

## ◆ mOff

int64_t mOff[3]

## ◆ mPadding

int64_t mPadding

## ◆ mPtr

int64_t* mPtr[3]